Contents

# ChDrive Statement

Oofuu ammee jijjiiri.

Some DOS-specific file and directory functions are no longer provided in LibreOffice, or their function is only limited. For example, support for the ChDir, ChDrive and CurDir functions is not provided. Some DOS-specific properties are no longer used in functions that expect file properties as parameters (for example, to differentiate from concealed files and system files). This ensures the greatest possible level of platform independence for LibreOffice. Therefore this feature is subject to removal in a future release.

The ScriptForge library in LibreOffice 7.1 introduces the FileSystem service with methods to handle files and folders in user scripts.

### Syntax:

      ChDrive Text As String

### Parameters:

Barruu:Himamsa itergaa kamiyyuu kan oofuu qubee haaraa of keessa qabu.Yoo barbaadde faaydamuu dandeessa. sirnasxaa URL .

Oofuun qubee guddaadhaan moggafamuu qaba.Fodaalee jalatti, qubeen ati oofuudhaan moggaaste ijaarsa LASTDRV dhaan murataa'e. yoo qajeelfami diraa arfii danuu ta'e, qubee duraa qfatuu fydhtama qaba. Yoo oofuu hin jirree gahiinsaan fudhate,dogogorri hima OnError jedhamu waliin gabaafama.

### Error codes:

5 Ejjatoo fashalaan waamu

68 mi`a hin jire 68 mi`a hin jire 68 mi`a hin jire

76 Xurree hin argamne 76 Xurree hin argamne 76 Xurree hin argamne 76 Xurree hin argamne 76 Xurree hin argamne 76 Xurree hin argamne 76 Xurree hin argamne 76 Xurree hin argamne

### Example:

      Sub ExampleChDrive
          ChDrive "D" REM Yoo oofuun 'D' jiraate qofa danda'ama.
      End Sub

Matadureewwan Walfakkatan

ScriptForge.FileSystem service

ScriptForge.TextStream service